<?php

declare(strict_types=1);

namespace App\Administration\Application\Command\CreateSubject;

/**
 * Command pour créer une nouvelle matière.
 */
final readonly class CreateSubjectCommand
{
    public function __construct(
        public string $tenantId,
        public string $schoolId,
        public string $name,
        public string $code,
        public ?string $color,
    ) {
    }
}
